Subject: Re: bug#62320: 30.0.50; Thoughts about (info "(emacs) Bugs")

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Mar 2023 18:52:57 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 29 Mar 2023 17:19:03 +0200
> 
> I've read the whole chapter again and I found nothing that I could
> complain about.  You also have worked in all my suggestions - apart from
> the "if you know how please load relevant Elisp source files before
> capturing an Elisp backtrace" one - intentionally?

Maybe not.  Can you tell to which part of the text this was related?

> Apart from that everything looks good, but I'm not able to have an
> opinion about some things (like the document structure).

I've at least explained why the structure is as it is: it follows some
logic, which is now explicitly described, I hope.

> I hope that the requirement to read the chapter carefully and follow all
> the rules does not scare people too much (my fear is that the competent
> people are more likely to be scared than the incompetent but
> self-competent).

Admittedly, the text is very detailed.  I've removed what I thought
was outdated and/or unneeded, but it is still too long.  However, what
is there now is important, so all we can do is to have summaries for
the impatient and order the stuff according to decreasing importance.
If you can suggest some improvements in that direction, please do.

> Dunno if we could try even more to encourage people
> without tempting others to spread nonsense.  Maybe we could add a
> sentence like "If it is sure that you have found a bug, of course we
> want to hear about it even if you are not able to follow all of the
> advices strictly for some reason.  Still, please do your best to take
> them into account so that our developers are not required to spend more
> time than necessary to understand your report."

I'll take another look and see if there's a good place to say
something like that.